%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%global upname flask-sphinx-themes
%global commitdate 20130715
%global commit 1cc44686f0f9dad27cce2c9d16cf42f97bc87dbd
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		python-sphinx-theme-flask
Version:	git%{commitdate}.%{shortcommit}
Release:	2%{?dist}
Summary:	Sphinx Themes for Flask related projects and Flask itself
%{?el5:Group:	Applications/Publishing}

License:	BSD
URL:		https://github.com/mitsuhiko/%{upname}
Source0:	%{url}/archive/%{commit}/%{name}-%{version}.tar.gz

%{?el5:BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)}
BuildArch:	noarch
BuildRequires:	python2-devel

%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:	python3-devel
%endif

Requires:	python-sphinx

%description
%{name} contains
%{summary}.

The following themes exist:

 * flask - the standard flask documentation theme for large projects
 * flask_small - small one-page theme.  Intended to be used by very small
addon libraries for flask.


%if 0%{?fedora} || 0%{?rhel} >= 7
%package -n python3-sphinx-theme-flask
Summary:	Sphinx Themes for Flask related projects and Flask itself
Requires:	python3-sphinx

%description -n python3-sphinx-theme-flask
%{name} contains
%{summary}.

The following themes exist:

 * flask - the standard flask documentation theme for large projects
 * flask_small - small one-page theme.  Intended to be used by very small
addon libraries for flask.
%endif


%prep
%setup -qn %{upname}-%{commit}


%build
#noop


%install
%{?el5:rm -rf %{buildroot}}
mkdir -p %{buildroot}%{python_sitelib}/sphinx/themes
cp -pr flask* %{buildroot}%{python_sitelib}/sphinx/themes

%if 0%{?fedora} || 0%{?rhel} >= 7
mkdir -p %{buildroot}%{python3_sitelib}/sphinx/themes
cp -pr flask* %{buildroot}%{python3_sitelib}/sphinx/themes
%endif


%clean
%{?el5:rm -rf %{buildroot}}


%files
%doc LICENSE README
%{python_sitelib}/sphinx/themes/*

%if 0%{?fedora} || 0%{?rhel} >= 7
%files -n python3-sphinx-theme-flask
%doc LICENSE README
%{python3_sitelib}/sphinx/themes/*
%endif


%changelog
* Mon Aug 12 2013 Björn Esser <bjoern.esser@gmail.com> - git20130715.1cc4468-2
- added python3-package

* Mon Aug 12 2013 Björn Esser <bjoern.esser@gmail.com> - git20130715.1cc4468-1
- Initial rpm release (#996061)
